/*==== OVERRIDE background and border colours with corresponding PRIMARY, SECONDARY and TERTIARY colours defined for report === */

.border-TD-color-main {
  border-color: #a5cf4c !important;
}

.border-TD-color-secondary {
  border-color: #999999 !important;
}

.border-TD-color-tertiary {
  border-color: #61837b !important;
}

.bg-TD-color-main {
  background-color: #a5cf4c !important; 
}

.bg-TD-color-secondary {
  background-color: #999999 !important;   
}

.bg-TD-color-tertiary {
  background-color: #61837b !important;
}

/*==== OVERRIDE gradient start and end colours with corresponding PRIMARY, SECONDARY and TERTIARY colours defined for report === */
.TR-gradient-1-2 {
  background: linear-gradient(90deg, #a5cf4c 39%, #999999 60%) !important;
}
.TR-gradient-2-3 {
  background: linear-gradient(90deg, #999999 39%, #61837b 60%) !important;
}
/* .TR-gradient-1-3 {
  background: linear-gradient(90deg, #a5cf4c 39%, #61837b 60%) !important;
} */

.TR-gradient-1-3 {
    background: linear-gradient(  90deg,  #a5cf4c 0%,  #8EAD83 69%,  #60837B 100%) !important;
}

.TR-gradient-2-1 {
  background: linear-gradient(90deg, #999999 39%, #a5cf4c 60%) !important;
}
.TR-gradient-3-2 {
  background: linear-gradient(90deg, #61837b 39%, #999999 60%) !important;
}
.TR-gradient-3-1 {
  background: linear-gradient(90deg, #61837b 39%, #a5cf4c 60%) !important;
}
.TR-gradient-1-2 td,.TR-gradient-2-3 td,.TR-gradient-1-3 td, .TR-gradient-2-1 td,.TR-gradient-3-2 td,.TR-gradient-3-1 td, 
.TR-gradient-1-2 th,.TR-gradient-2-3 th,.TR-gradient-1-3 th, .TR-gradient-1-2 th,.TR-gradient-2-3 th,.TR-gradient-1-3 th {
  background-color: transparent !important;
}

/*==== Corner images for rounded table heading corners === */
.cornerTopLeft {position:relative; box-sizing: border-box; min-height: 10px; }
.cornerTopLeft::before {
  content: "";
  position: absolute;
  top: -1px;
  left: 0;
  width:20px;
  height: 20px;
  background: url("../images/White-curve-top-left-20px-.png") no-repeat;
  background-size: cover; /* or contain */
}


.cornerTopRight {position:relative; box-sizing: border-box; }
.cornerTopRight::after {
  content: "";
  position: absolute;
  top: -1px;
  right: 0;
  width: 20px;
  height: 20px;
  background: url("../images/White-curve-top-right-20px.png") no-repeat;
  background-size: cover; /* or contain */
}


.cornerBotLeft {position:relative; box-sizing: border-box; }
.cornerBotLeft::after {
  content: "";
  position: absolute;
  bottom:  -1px;
  left: 0;
  width:20px;
  height: 20px;
  background: url("../images/White-curve-bottom-left-20px.png") no-repeat;
  background-size: cover; /* or contain */
}

.cornerBotRight {position:relative; box-sizing: border-box; }
.cornerBotRight::before {
  content: "";
  position: absolute;
  bottom:  -1px;
  right: 0;
  width: 20px;
  height: 20px;
  background: url("../images/White-curve-bottom-right-20px.png") no-repeat;
  background-size: cover; /* or contain */
}



/* ***********************************************************************************************************
    ROW HIGHLIGHTER CLASSES
   *********************************************************************************************************** */
table[id^="c21_"]:not(.noRowHighlight) tr:not(.noRowHighlight):not:(:first-child):hover td {
  background:#ece4d5!important; 
  color:#008553!important; 
  opacity:0.97 !important; 
  filter: brightness(103%) !important;
} 


